package me.yoqi.api;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import me.yoqi.model.User;
import org.springframework.web.bind.annotation.*;
import springfox.documentation.annotations.ApiIgnore;

/**
 * Created by liuyuqi on 9/21/2019
 *  RestController ,RequestMapping  spring类注解
 *  PostMapping,GetMapping,PutMapping,DeleteMapping
 *   Api,ApiOperation只是加描述
 */
@RestController
@RequestMapping("/user")
@Api(tags = "用户相关接口", description = "提供用户相关的 Rest API")
public class UserController {

    @PostMapping("/add")
    @ApiOperation("新增用户接口")
    public boolean addUser(@RequestBody User user) {
        return false;
    }

    @GetMapping("/find/{id}")
    public User findById(@PathVariable("id") int id) {
        return new User();
    }

    @PutMapping("/update")
    public boolean update(@RequestBody User user) {
        return true;
    }

    // ApiIgnore 不显示该接口
    @DeleteMapping("/delete/{id}")
    @ApiIgnore
    public boolean delete(@PathVariable("id") int id) {
        return true;
    }
}
